using System;

namespace ConsoleApp66
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string s = Console.ReadLine();
            if (n <= 26) Console.WriteLine(0);
            if (n == 27)
            {
                bool p = true;
                for(int i = 0; i < n-1; i++)
                {
                    if (s[i] > s[i + 1]) p = false; 
                }
                if (p == false) Console.WriteLine(1);
                else Console.WriteLine(2);
            }

        }
    }
}